< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package ct600
  Definition Classes
    ct
-  package v2
  Definition Classes
    ct600
-  package calculations
  Definition Classes
    v2
- CorporationTaxAlreadyPaidCalculator
- CorporationTaxAlreadyPaidParameters
- CorporationTaxCalculator
- Ct600FinalisationCalculator
- LoansToParticipatorsCalculator
- MarginalRateReliefCalculator

t

uk.gov.hmrc.ct.ct600.v2.calculations

# LoansToParticipatorsCalculator 

###

#### trait LoansToParticipatorsCalculator extends CtTypeConverters

Linear Supertypes
CtTypeConverters, AnyRef, Any
Known Subclasses
A10, A10Inverse, A11, A11Inverse, A12, A13, A2, A3, A4, A5, A6, A7, A8, A8Inverse, A9, A9Inverse, LPQ01
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LoansToParticipatorsCalculator
2. CtTypeConverters
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def calculateA10(a8: A8, a9: A9): A10
6.  def calculateA10Inverse(a8Inverse: A8Inverse, a9Inverse: A9Inverse): A10Inverse
7.  def calculateA11(a10: A10): A11
8.  def calculateA11Inverse(a10Inverse: A10Inverse): A11Inverse
9.  def calculateA12(a2: A2, lp04: LP04): A12
10.  def calculateA13(a3: A3, a7: A7, a11: A11): A13
11.  def calculateA2(lp02: LP02): A2
12.  def calculateA3(a2: A2): A3
13.  def calculateA4(cp2: CP2, lp02: LP02): A4
14.  def calculateA5(cp2: CP2, lp03: LP03): A5
15.  def calculateA6(a4: A4, a5: A5): A6
16.  def calculateA7(a6: A6): A7
17.  def calculateA8(cp2: CP2, lp02: LP02, filingDate: LPQ07): A8
18.  def calculateA8Inverse(cp2: CP2, lp02: LP02, filingDate: LPQ07): A8Inverse
19.  def calculateA9(cp2: CP2, lp03: LP03, filingDate: LPQ07): A9
20.  def calculateA9Inverse(cp2: CP2, lp03: LP03, filingDate: LPQ07): A9Inverse
21.  def calculateB80(a11: A11): B80
22.  def calculateLPQ01(lpq03: LPQ03, lpq04: LPQ04, lpq05: LPQ05): LPQ01
23.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
24.  implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]
    Definition Classes
      CtTypeConverters
25.  implicit def convert(catoInt: CtOptionalInteger): Int
    Definition Classes
      CtTypeConverters
26.  implicit def convert(catoInt: CtInteger): Int
    Definition Classes
      CtTypeConverters
27.  implicit def convert(catoBoolean: CtOptionalBoolean): Boolean
    Definition Classes
      CtTypeConverters
28.  implicit def convert(catoBoolean: CtBoolean): Boolean
    Definition Classes
      CtTypeConverters
29.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
30.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
31.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
32.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
33.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
34.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
35.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
36.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
37.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
38.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
39.  def toString(): String
    Definition Classes
      AnyRef → Any
40.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
41.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
42.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from CtTypeConverters

### Inherited from AnyRef

### Inherited from Any

### Ungrouped